Bug 296829 - Displayed time is incorrect immediately after setting time
Summary: Displayed time is incorrect immediately after setting time
Status: RESOLVED FIXED
Alias: None
Product: kstars
Classification: Unclassified
Component: general (show other bugs)
Version: 2.0.0
Platform: Debian unstable Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Akarsh Simha
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-26 19:03 UTC by Frédéric Brière
Modified: 2013-06-13 14:53 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Frédéric Brière 2012-03-26 19:03:12 UTC
(Previously filed on Debian: <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=622313>)

When setting the time to a new value, the displayed time is set to the old value instead of the new one.  This is quite apparent if the clock is paused; setting the time to different values will update the chart appropriately, but the displayed time will always be one step behind.
Comment 1 Aneesh Dogra 2013-06-13 13:22:41 UTC
The fix at https://git.reviewboard.kde.org/r/110973/ applies to this bug too.
Comment 2 Rishab Arora 2013-06-13 14:53:17 UTC
Git commit 35a3949b217c0d8dcd21695f0eff9f26220073b9 by Rishab Arora, on behalf of Aneesh Dogra.
Committed on 13/06/2013 at 16:42.
Pushed by rishabarora into branch 'master'.

Update the local time before we update the timebox.
Fixes the issue with time displayed being one step behind.
Related: bug 321028
REVIEW: 110973

M  +3    -3    kstars/kstarsinit.cpp

http://commits.kde.org/kstars/35a3949b217c0d8dcd21695f0eff9f26220073b9